
QGIS Application - Bug report #10938

master crashing - provider dependency broken

2014-07-24 01:31 AM - Gavin Fleming

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 19294

Description

Both debian-nightly and ubuntugis-nightly have this issue after last night's build:

gavin@afrispatial:~$ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_ZA]

Warning: QGraphicsScene::addItem: item has already been added to this scene

qgis.bin: /build/buildd/sip4-4.15.5/siplib/siplib.c:11863: sipEnumType_alloc: Assertion `(((currentType)->td_flags & 0x0007) == 0x0003)'

failed.

Aborted (core dumped)

On Ubuntu 14.04

History

#1 - 2014-07-24 01:32 AM - Gavin Fleming

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2014-07-24 04:18 AM - Tobias Schneider

Confirming:

HP-ProBook-6570b:~$ qgis

Warning: QGraphicsScene::addItem: item has already been added to this scene

qgis.bin: /build/buildd/sip4-4.15.5/siplib/siplib.c:11863: sipEnumType_alloc: Zusicherung »(((currentType)->td_flags & 0x0007) == 0x0003)« nicht erfüllt.

Abgebrochen (Speicherabzug geschrieben)

#3 - 2014-07-24 04:23 AM - Giovanni Manghi

- Priority changed from Normal to High

- Affected QGIS version changed from 2.4.0 to master

- Category set to Build/Install

#4 - 2014-07-24 03:37 PM - Tobias Schneider

After an update it does this:

@

Warning: QGraphicsScene::addItem: item has already been added to this scene

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Terms of Service / About" under id 238 

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Werkzeugkiste" under id 298 
Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action 

Warning: QThreadStorage: Thread 0x5197170 exited after QThreadStorage 7 destroyed

@

#5 - 2014-07-30 09:40 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

it seems fine in the latest builds, reopen if necessary.
